/*  getpwent.c -- MiNTLib.
    Copyright (C) 1999 Guido Flohr <gufl0000@stud.uni-sb.de>

    This file is part of the MiNTLib project, and may only be used
    modified and distributed under the terms of the MiNTLib project
    license, COPYMINT.  By continuing to use, modify, or distribute
    this file you indicate that you have read the license and
    understand and accept it fully.
*/

#include <pwd.h>
#include <errno.h>

#ifndef HAVE_WEAK_SYMBOLS
# define __getpwent_r(result_buf, buffer, buflen, result) \
  getpwent_r(result_buf, buffer, buflen, result)
#endif

__EXTERN int __getpwent_r __PROTO ((struct passwd* resultbuf, char* buffer,
                                    size_t buflen, struct passwd** result));

static struct passwd passwd;
static char buffer[1024];

struct passwd* getpwent (void)
{
  struct passwd* result;
  int retval = __getpwent_r(&passwd, buffer, 1024, &result);
  
  if (retval != 0)
    return NULL;
  return &passwd;
}
